Skip to main content
Connect

Move an integration to another profile

Reassigns an existing integration to another profile in the same project. Pass profileId=null to leave the integration unassigned. OAuth credentials and existing posts are unchanged.

PATCH/v1/connect/integrations/{id}

Authorization

accessKey
x-access-key<token>

In: header

Path Parameters

id*string

Integration ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/connect/integrations/string" \  -H "Content-Type: application/json" \  -d '{    "profileId": "string"  }'
{
  "success": true,
  "integration": {
    "id": "string",
    "platform": "twitter",
    "platformUserId": "string",
    "username": "string",
    "displayName": "string",
    "profileUrl": "http://example.com",
    "imageUrl": "http://example.com",
    "platformMetadata": {},
    "profileId": "string",
    "appId": "string",
    "app": {
      "id": "string",
      "name": "string",
      "imageUrl": "string"
    },
    "byok": true,
    "authStatus": "active",
    "authFailureReason": "token_expired",
    "createdAt": "2019-08-24T14:15:22Z"
  }
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}